# Uses of Interface
org.springframework.cache.CacheManager

Packages that use CacheManager
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.
org.springframework.cache.concurrent
Implementation package for `java.util.concurrent` based caches.
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.
org.springframework.cache.support
Support classes for the org.springframework.cache package.

## Uses of CacheManager in org.springframework.cache.annotation

Fields in org.springframework.cache.annotation with type parameters of type CacheManager
Modifier and Type
Field
Description
`protected Supplier<CacheManager>`
AbstractCachingConfiguration.`cacheManager`
Methods in org.springframework.cache.annotation that return CacheManager
Modifier and Type
Method
Description
`default CacheManager`
CachingConfigurer.`cacheManager()`
Return the cache manager bean to use for annotation-driven cache management.
`CacheManager`
CachingConfigurerSupport.`cacheManager()`
Deprecated.

## Uses of CacheManager in org.springframework.cache.concurrent

Classes in org.springframework.cache.concurrent that implement CacheManager
Modifier and Type
Class
Description
`class`
`ConcurrentMapCacheManager`
`CacheManager` implementation that lazily builds `ConcurrentMapCache` instances for each `ConcurrentMapCacheManager.getCache(java.lang.String)` request.

## Uses of CacheManager in org.springframework.cache.interceptor

Methods in org.springframework.cache.interceptor that return CacheManager
Modifier and Type
Method
Description
`CacheManager`
AbstractCacheResolver.`getCacheManager()`
Return the `CacheManager` that this instance uses.
Methods in org.springframework.cache.interceptor with parameters of type CacheManager
Modifier and Type
Method
Description
`void`
AbstractCacheResolver.`setCacheManager(CacheManager cacheManager)`
Set the `CacheManager` that this instance should use.
`void`
CacheAspectSupport.`setCacheManager(CacheManager cacheManager)`
Set the `CacheManager` to use to create a default `CacheResolver`.
`void`
CacheProxyFactoryBean.`setCacheManager(CacheManager cacheManager)`
Set the `CacheManager` to use to create a default `CacheResolver`.
Constructors in org.springframework.cache.interceptor with parameters of type CacheManager
Modifier
Constructor
Description
`protected`
`AbstractCacheResolver(CacheManager cacheManager)`
Construct a new `AbstractCacheResolver` for the given `CacheManager`.
``
`NamedCacheResolver(CacheManager cacheManager, String... cacheNames)`
``
`SimpleCacheResolver(CacheManager cacheManager)`
Construct a new `SimpleCacheResolver` for the given `CacheManager`.

## Uses of CacheManager in org.springframework.cache.support

Classes in org.springframework.cache.support that implement CacheManager
Modifier and Type
Class
Description
`class`
`AbstractCacheManager`
Abstract base class implementing the common `CacheManager` methods.
`class`
`CompositeCacheManager`
Composite `CacheManager` implementation that iterates over a given collection of delegate `CacheManager` instances.
`class`
`NoOpCacheManager`
A basic, no operation `CacheManager` implementation suitable for disabling caching, typically used for backing cache declarations without an actual backing store.
`class`
`SimpleCacheManager`
Simple cache manager working against a given collection of caches.
Method parameters in org.springframework.cache.support with type arguments of type CacheManager
Modifier and Type
Method
Description
`void`
CompositeCacheManager.`setCacheManagers(Collection<CacheManager> cacheManagers)`
Specify the CacheManagers to delegate to.
Constructors in org.springframework.cache.support with parameters of type CacheManager
Modifier
Constructor
Description
``
`CompositeCacheManager(CacheManager... cacheManagers)`
Construct a CompositeCacheManager from the given delegate CacheManagers.